%global _empty_manifest_terminate_build 0
Name:		python-zstandard
Version:	0.15.2
Release:	1
Summary:	Zstandard bindings for Python
License:	BSD-3-Clause
URL:		https://github.com/indygreg/python-zstandard
Source0:        https://github.com/indygreg/python-zstandard/archive/refs/tags/%{version}.tar.gz
Requires:	python3-cffi

%description
This project provides Python bindings for interfacing with the Zstandard
compression library. A C extension and CFFI interface are provided.

%package -n python3-zstandard
Summary:	Zstandard bindings for Python
Provides:	python-zstandard
BuildRequires:	python3-devel python3-hypothesis
BuildRequires:	python3-setuptools
BuildRequires:	python3-cffi
BuildRequires:	gcc
BuildRequires:	gdb
%description -n python3-zstandard
This project provides Python bindings for interfacing with the Zstandard 
compression library. A C extension and CFFI interface are provided.

%package help
Summary:	Development documents and examples for zstandard
Provides:	python3-zstandard-doc
%description help
This project provides Python bindings for interfacing with the Zstandard
compression library. A C extension and CFFI interface are provided.

%prep
%autosetup -n %{name}-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
%{__python3} setup.py test

%files -n python3-zstandard -f filelist.lst
%dir %{python3_sitearch}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Fri Jul 30 2021 Python_Bot <Python_Bot@openeuler.org> - 0.15.2-1
- Package Spec generated
